Bug 228488 - Review Request: hunspell-ms - Malay hunspell dictionaries
Review Request: hunspell-ms - Malay hunspell dictionaries
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-02-13 06:31 EST by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-19 09:21:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2007-02-13 06:31:41 EST
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-ms.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-ms-0.20050117-1.src.rpm
Description: Malay hunspell dictionaries

Similar to 227811
Comment 1 manuel wolfshant 2007-02-13 19:09:09 EST

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
12c033608d031ded21219757ac26f3b5bc0d37d7  ms_MY.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license ( GFDL ) stated in the tag is the same as the web site and an
included txt file say; it is not included in the package because upstream did
not include it either
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

SHOULD: please ask upstream to include the license in the archive; I think that
it would be a good idea if you could persuade them to hink again about the
license they use, as GFDL seems a bit restrictive and is not very "loved" in
Fedora  (and Debian...)

Comment 2 Caolan McNamara 2007-02-19 09:21:33 EST
 27805 (hunspell-ms): Build on target fedora-development-extras succeeded.

Note You need to log in before you can comment on or make changes to this bug.